<?php // phgstats factory class
/*
* Copyright (c) 2004-2006, woah-projekt.de
* All rights reserved.
*
* Redistribution and use in source and binary forms, with or without
* modification, are permitted provided that the following conditions
* are met:
*
* * Redistributions of source code must retain the above copyright
*   notice, this list of conditions and the following disclaimer.
* * Redistributions in binary form must reproduce the above copyright
*   notice, this list of conditions and the following disclaimer
*   in the documentation and/or other materials provided with the
*   distribution.
* * Neither the name of the phgstats project (woah-projekt.de)
*   nor the names of its contributors may be used to endorse or
*   promote products derived from this software without specific
*   prior written permission.
*
* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
* FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
* COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
* LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
* CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
* LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
* ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
* POSSIBILITY OF SUCH DAMAGE.
*/

class phgstats_n
{
    function &query($srv_type)
    {
        switch ($srv_type)
        {
            case 'aa_n': // Army Ops
                include_once('aa_n.class.php');
                $query =& new aa_n;
                return $query;
                break;
            case 'bf_n': // Battlefield 1942
                include_once('bf_n.class.php');
                $query =& new bf_n;
                return $query;
                break;
            case 'bfv_n': // Battlefield Vietnam
                include_once('bfv_n.class.php');
                $query =& new bfv_n;
                return $query;
                break;
            case 'bf2_n': // Battlefield 2
                include_once('bf2_n.class.php');
                $query =& new bf2_n;
                return $query;
                break;
            case 'cod_n': // Call Of Duty / UO
                include_once('cod_n.class.php');
                $query =& new cod_n;
                return $query;
                break;
            case 'cod2_n': // Call Of Duty 2
                include_once('cod2_n.class.php');
                $query =& new cod2_n;
                return $query;
                break;
            case 'des3gs_n': // Descent 3 (Gamespy)
                include_once('des3gs_n.class.php');
                $query =& new des3gs_n;
                return $query;
                break;
            case 'descent3_n': // Descent 3
                include_once('des3_n.class.php');
                $query =& new descent3_n;
                return $query;
                break;
            case 'fear_n': // FEAR
                include_once('fear_n.class.php');
                $query =& new fear_n;
                return $query;
                break;
            case 'et_n': // Enemy Territory
                include_once('et_n.class.php');
                $query =& new et_n;
                return $query;
                break;
            case 'halo_n': // HALO
                include_once('halo_n.class.php');
                $query =& new halo_n;
                return $query;
                break;
            case 'hd2_n': // Hidden & Dangerous 2
                include_once('hd2_n.class.php');
                $query =& new hd2_n;
                return $query;
                break;
            case 'hl_n':  // Half-Life / CS
            case 'hl2_n': // Half-Life 2 / CS:S
                include_once('hl_n.class.php');
                $query =& new hl_n;
                return $query;
                break;
            case 'hl_old_n': // Half-Life (without Steam)
                include_once('hl_old_n.class.php');
                $query =& new hl_old_n;
                return $query;
                break;
            case 'jedi_n':  // Jedi Knight: Jedi Academy
            case 'jedi2_n': // Jedi Knight II
                include_once('jedi_n.class.php');
                $query =& new jedi_n;
                return $query;
                break;
            case 'mohaa_n': // Medal Of Honor
                include_once('mohaa_n.class.php');
                $query =& new mohaa_n;
                return $query;
                break;
            case 'nolf_n': // No One Lives Forever
                include_once('nolf_n.class.php');
                $query =& new nolf_n;
                return $query;
                break;
            case 'pk_n': // Painkiller
                include_once('pk_n.class.php');
                $query =& new pk_n;
                return $query;
                break;
            case 'rtcw_n': // Return to Castle Wolfenstein
                include_once('rtcw_n.class.php');
                $query =& new rtcw_n;
                return $query;
                break;
            case 'rune_n': // Rune
                include_once('rune_n.class.php');
                $query =& new rune_n;
                return $query;
                break;
            case 'swat_n': // SWAT
                include_once('swat_n.class.php');
                $query =& new swat_n;
                return $query;
                break;
            case 'ut_n': // Unreal Tournament
                include_once('ut_n.class.php');
                $query =& new ut_n;
                return $query;
                break;
            case 'ut2003_n': // Unreal Tournament 2003
            case 'ut2004_n': // Unreal Tournament 2004
            case 'ro_n':     // Red Orchestra
                include_once('ut2004_n.class.php');
                $query =& new ut2004_n;
                return $query;
                break;
            case 'q1_n': // Quake 1
            case 'qw_n': // Quakeworld
                include_once('q1_n.class.php');
                $query =& new q1_n;
                return $query;
                break;
            case 'q2_n': // Quake 2
                include_once('q2_n.class.php');
                $query =& new q2_n;
                return $query;
                break;
            case 'q3_n': // Quake 3
                include_once('q3a_n.class.php');
                $query =& new q3_n;
                return $query;
                break;
            case 'q4_n': // Quake 4
                include_once('q4_n.class.php');
                $query =& new q4_n;
                return $query;
                break;
            case 'sof2_n': // Soldier of Fortune 2
                include_once('sof2_n.class.php');
                $query =& new sof2_n;
                return $query;
                break;
            case 'atron_n': // Amagetronad
                include_once('atron_n.class.php');
                $query =& new atron_n;
                return $query;
                break;
            case 'd3_n': // Doom 3
                include_once('d3_n.class.php');
                $query =& new d3_n;
                return $query;
                break;
            case 'ts_n': // Teamspeak 2
                include_once('ts_n.class.php');
                $query =& new ts_n;
                return $query;
                break;
            case 'warsow_n': // Warsow
                include_once('warsow_n.class.php');
                $query =& new warsow_n;
                return $query;
                break;
            default: // No Class found
                die ("$srv_type: Server type unkown");
          }
    }
}
?>